/*
 * Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 * Use of this source code is governed by a MIT license that can be
 * found in the LICENSE file.
 */

package im.netease.nim.auth;

/**
 * Created by hzsunyj on 2019-11-13.
 * Dart 层将错误码分成了两组， 一组为登录状态， 一组为同步状态
 */
public enum MapStatusCode {
    ///无效
    invalid,

    ///未登录/登录失败
    unLogin,

    ///被服务器拒绝连接，403，422
    forbidden,

    ///网络连接已断开
    netBroken,

    ///正在连接服务器
    connecting,

    ///正在登录中
    logining,

    ///已成功登录
    logined,

    ///客户端版本错误
    verError,

    ///用户名或密码错误
    pwdError,

    ///被其他端的登录踢掉
    kickOut,

    ///被同时在线的其他端主动踢掉
    kickByOtherClient,
}
