/*
 * Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 * Use of this source code is governed by a MIT license that can be
 * found in the LICENSE file.
 */

package im.netease.nim.helper;

import com.netease.nimlib.sdk.msg.MessageBuilder;
import com.netease.nimlib.sdk.msg.constant.MsgTypeEnum;
import com.netease.nimlib.sdk.msg.constant.SessionTypeEnum;
import com.netease.nimlib.sdk.msg.model.IMMessage;

import java.util.Map;

import im.netease.nim.msg.CustomAttachment;

/**
 * Created by hzsunyj on 2019-12-25.
 */
public class MessageHelper {

    public static IMMessage convert(Map map) {
        String sessionId = (String) map.get("sessionId");
        int sessionType = (int) map.get("sessionType");
        String attach = (String) map.get("attach");
        int msgType = (int) map.get("msgType");
        String content = (String) map.get("content");
        SessionTypeEnum sessionTypeEnum = SessionTypeEnum.typeOfValue(sessionType);
        if (msgType == MsgTypeEnum.text.getValue()) {
            return MessageBuilder.createTextMessage(sessionId, sessionTypeEnum, content);
        } else if (msgType == MsgTypeEnum.custom.getValue()) {
            return MessageBuilder.createCustomMessage(sessionId, sessionTypeEnum, new CustomAttachment(attach));
        }
        return null;
    }
}
