/*
 * Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 * Use of this source code is governed by a MIT license that can be
 * found in the LICENSE file.
 */

package im.netease.nim.util;

import com.netease.nimlib.sdk.msg.constant.MsgTypeEnum;

import java.util.List;

/**
 * Created by hzsunyj on 2020/6/19.
 */
public class MsgTypeUtil {

    public static MsgTypeEnum mapMsgType(Integer msgType) {
        if (msgType == null) {
            return MsgTypeEnum.undef;
        }
        for (MsgTypeEnum typeEnum : MsgTypeEnum.values()) {
            if (typeEnum.getValue() == msgType) {
                return typeEnum;
            }
        }
        return MsgTypeEnum.undef;
    }

    public static MsgTypeEnum[] listMapMsgType(List<Integer> types) {
        int size = types != null ? types.size() : 0;
        MsgTypeEnum[] typeEnums = new MsgTypeEnum[size];
        for (int i = 0; i < size; ++i) {
            typeEnums[i] = mapMsgType(types.get(i));
        }
        return typeEnums;
    }
}
