/*
 * Copyright (c) 2021 NetEase, Inc.  All rights reserved.
 * Use of this source code is governed by a MIT license that can be
 * found in the LICENSE file.
 */

package im.netease.nim.util;

import com.netease.nimlib.sdk.StatusCode;

import im.netease.nim.auth.MapStatusCode;

/**
 * Created by hzsunyj on 2019-11-13.
 */
public class StatusCodeUtil {

    public static int convertStatusCode(StatusCode code) {
        MapStatusCode mapStatusCode = MapStatusCode.invalid;
        switch (code) {
            case UNLOGIN:
                mapStatusCode = MapStatusCode.unLogin;
                break;
            case KICKOUT:
                mapStatusCode = MapStatusCode.kickOut;
                break;
            case LOGINED:
                mapStatusCode = MapStatusCode.logined;
                break;
            case LOGINING:
                mapStatusCode = MapStatusCode.logining;
                break;
            case FORBIDDEN:
                mapStatusCode = MapStatusCode.forbidden;
                break;
            case PWD_ERROR:
                mapStatusCode = MapStatusCode.pwdError;
                break;
            case VER_ERROR:
                mapStatusCode = MapStatusCode.verError;
                break;
            case CONNECTING:
                mapStatusCode = MapStatusCode.connecting;
                break;
            case NET_BROKEN:
                mapStatusCode = MapStatusCode.netBroken;
                break;
            case KICK_BY_OTHER_CLIENT:
                mapStatusCode = MapStatusCode.kickByOtherClient;
                break;
        }
        return mapStatusCode.ordinal();
    }
}
