// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

import 'package:flutter/material.dart';

class MainPage extends StatefulWidget {
  const MainPage({Key key}) : super(key: key);

  @override
  _MyTabbedPageState createState() => _MyTabbedPageState();
}

class _MyTabbedPageState extends State<MainPage>
    with SingleTickerProviderStateMixin {
  final List<String> entriesName = <String>['消息', '聊天室', '好友','HTTP通道'];
  final List<String> entriesPage = <String>[
    'messagePage',
    'chatRoomPage',
    'friendsPage',
    "passthroughPage"
  ];

  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('云信'),
          actions: <Widget>[
            TextButton(
              child: Text('Logout',
                  style: TextStyle(fontSize: 17.0, color: Colors.white)),
              onPressed: () => _signOut(context),
            )
          ],
        ),
        body: ListView.separated(
          padding: const EdgeInsets.all(8),
          itemCount: entriesName.length,
          itemBuilder: (BuildContext context, int index) {
            return GestureDetector(
              child: Container(
                height: 50,
                color: Color(0x55337eff),
                child: Center(
                  child: Text('进入 ${entriesName[index]}'),
                ),
              ),
              onTap: () {
                Navigator.pushNamed(context, entriesPage[index]);
              },
            );
          },
          separatorBuilder: (BuildContext context, int index) =>
              const Divider(),
        ));
  }

  _signOut(BuildContext context) {}
}
