//
//  NIMFBaseFlutterAPI.h
//  nim
//
//  Created by Netease on 2019/8/14.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import "NIMFBaseModel.h"
#import "NIMFModuleDefine.h"

NS_ASSUME_NONNULL_BEGIN

/**
 send NSError result
 */
#define NIMFResultError(result, rErr) \
do {\
    FlutterError *flutterError = nil;\
    if (error) {\
        flutterError = [FlutterError errorWithCode:@(error.code).stringValue   \
                                           message:error.localizedDescription  \
                                           details:nil];                       \
    }\
    result(flutterError);\
}while(0)\

/**
 local method (flutter -> platform)
 @param method method
 */
#define NIMF_LOCAL_METHOD_3(x, y, z) x ## y ## z
#define NIMF_LOCAL_METHOD(method) NIMF_LOCAL_METHOD_3(do_, method, _arguments)

@interface NIMFBaseFlutterAPI : NSObject

/**
 platform -> flutter
 */
+ (void)sendMethod:(NSString *)methodName
         arguments:(NSDictionary *)arguments;

@end

NS_ASSUME_NONNULL_END
