//
//  NIMFBaseModel.m
//  nim
//
//  Created by Netease on 2019/8/9.
//

#import "NIMFBaseModel.h"
#import <objc/runtime.h>

#pragma mark - NIMFBaseModel
@implementation NIMFBaseModel

+ (instancetype)modelWithDictionary:(NSDictionary *)dictionary
{
    NIMFBaseModel * model = [self yy_modelWithDictionary:dictionary];
    model.dictionary = dictionary;
    return model;
}

- (instancetype)initWithModelName:(NSString *)modelName {
    if (self = [super init]) {
        _module = modelName;
    }
    return self;
}

- (NSMutableDictionary *)modelDictionary {

    return [self yy_modelToJSONObject];
}

- (NSString *)description {
    return [self yy_modelDescription];
}

#pragma mark - YYModel

+ (nullable NSArray<NSString *> *)modelPropertyBlacklist
{
    return @[@"dictionary"];
}

@end


#pragma mark - NIMFBaseRequest
@implementation NIMFBaseRequest

- (BOOL)isValid {
    return YES;
}

- (id)setupSdkRequest {
    return nil;
}

@end

#pragma mark  - NIMFBaseResponse
@interface NIMFBaseResponse ()

@property (nonatomic, strong) NIMFBaseRequest *request;

@end

@implementation NIMFBaseResponse

- (instancetype)initWithRequestModel:(NIMFBaseRequest *)request {
    if (self = [super init]) {
        self.receiptId = request.receiptId;
        self.module = request.module;
        _code = 200;
        _request = request;
    }
    return self;
}

- (void)setSdkResponse:(id)response {}

+ (nullable NSArray<NSString *> *)modelPropertyBlacklist
{
    return @[@"request"];
}

@end


