//
//  NSDictionary+NIMFJson.m
//  NIMF
//
//  Created by Netease on 2019/8/9.
//  Copyright (c) 2013年 Netease. All rights reserved.
//

#import "NSDictionary+NIMFJson.h"

@implementation NSDictionary (NIMJson)

- (NSString *)nimf_jsonString: (id)key
{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSString class]])
    {
        return object;
    }
    else if([object isKindOfClass:[NSNumber class]])
    {
        return [object stringValue];
    }
    return nil;
}

- (NSDictionary *)nimf_jsonDict: (id)key
{
    id object = [self objectForKey:key];
    return [object isKindOfClass:[NSDictionary class]] ? object : nil;
}


- (NSArray *)nimf_jsonArray: (id)key
{
    id object = [self objectForKey:key];
    return [object isKindOfClass:[NSArray class]] ? object : nil;

}

- (BOOL)nimf_jsonBool: (id)key
{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSString class]] ||
        [object isKindOfClass:[NSNumber class]])
    {
        return [object boolValue];
    }
    return NO;
}

- (NSInteger)nimf_jsonInteger: (id)key
{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSString class]] ||
        [object isKindOfClass:[NSNumber class]])
    {
        return [object integerValue];
    }
    return 0;
}

- (long long)nimf_jsonLongLong: (id)key
{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSString class]] ||
        [object isKindOfClass:[NSNumber class]])
    {
        return [object longLongValue];
    }
    return 0;
}

- (unsigned long long)nimf_jsonUnsignedLongLong:(id)key
{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSNumber class]])
    {
        return [object unsignedLongLongValue];
    }
    if ([object isKindOfClass:[NSString class]]) {
        return [object longLongValue];
    }
    return 0;
}


- (double)nimf_jsonDouble: (id)key{
    id object = [self objectForKey:key];
    if ([object isKindOfClass:[NSString class]] ||
        [object isKindOfClass:[NSNumber class]])
    {
        return [object doubleValue];
    }
    return 0;
}

@end
