//
//  NIMFChatroomMember.m
//  nim
//
//  Created by 张根宁 on 2020/6/18.
//

#import "NIMFChatroomMember.h"
#import <YYModel/YYModel.h>
#import <NIMSDK/NIMSDK.h>

@implementation NIMFChatroomMember

-(instancetype)initWithSdkChatroomMember:(NIMChatroomMember *)member {
    if (self = [super init]) {
        _account = member.userId;
        _memberType = [self memberTypeWithType:member.type];
        _nick = member.roomNickname;
        _avatar = member.roomAvatar;
        _extension = [member.roomExt yy_modelToJSONObject];
        _online = member.isOnline;
        _inBlackList = member.isInBlackList;
        _isMuted = member.isMuted;
        _isValid = 1;
        _enterTime = (uint64_t)member.enterTimeInterval;
        _isTempMuted = member.isTempMuted;
        _tempMuteDuration = [member tempMuteDuration];
    }
    return self;
}

- (NIMChatroomMember *)yx_member {
    NIMChatroomMember *ret = [[NIMChatroomMember alloc] init];
    ret.userId = _account;
    ret.type = [self yx_typeWithMemberType:_memberType];
    ret.roomNickname = _nick;
    ret.roomAvatar = _avatar;
    ret.roomExt = [_extension yy_modelToJSONString];
    ret.isOnline = _online;
    ret.isInBlackList = _inBlackList;
    ret.isMuted = _isMuted;
    ret.enterTimeInterval = _enterTime;
    ret.isTempMuted = _isTempMuted;
    ret.tempMuteDuration = _tempMuteDuration;
    return ret;
}

- (NIMChatroomMemberType)yx_typeWithMemberType:(NSInteger)type {
    NIMChatroomMemberType ret = NIMChatroomMemberTypeNormal;
    switch (type) {
        case 1:
            ret = NIMChatroomMemberTypeGuest;
            break;
        case 2:
            ret = NIMChatroomMemberTypeLimit;
            break;
        case 3:
            ret = NIMChatroomMemberTypeCreator;
            break;
        case 4:
            ret = NIMChatroomMemberTypeManager;
            break;
        case 5:
            ret = NIMChatroomMemberTypeNormal;
            break;
        case 6:
            ret = NIMChatroomMemberTypeAnonymousGuest;
            break;
        default:
            break;
    }
    return ret;
}

- (NSInteger)memberTypeWithType:(NIMChatroomMemberType)type {
    NSInteger ret = 0;
    switch (type) {
        case NIMChatroomMemberTypeGuest:
            ret = 1;
            break;
        case NIMChatroomMemberTypeLimit:
            ret = 2;
            break;
        case NIMChatroomMemberTypeNormal:
            ret = 5;
            break;
        case NIMChatroomMemberTypeCreator:
            ret = 3;
            break;
        case NIMChatroomMemberTypeManager:
            ret = 4;
            break;
        case NIMChatroomMemberTypeAnonymousGuest:
            ret = 6;
            break;
        default:
            break;
    }
    return ret;
}

@end
