//
//  NIMFChatroomMessage.m
//  nim
//
//  Created by 张根宁 on 2020/6/18.
//

#import "NIMFChatroomMessage.h"

@implementation NIMFChatRoomMessageExtension

- (instancetype)init {
    if (self = [super init]) {
        _roleInfoTimeTag = -1;
    }
    return self;
}

- (instancetype)initWithSdkChatroomExtension:(id)extension {
    if (extension == nil ||
        ![extension isKindOfClass:[NIMMessageChatroomExtension class]]) {
        return nil;
    }
    if (self = [super init]) {
        _roleInfoTimeTag = -1;
        NIMMessageChatroomExtension *ext = (NIMMessageChatroomExtension *)extension;
        _nick = ext.roomNickname;
        _avatar = ext.roomAvatar;
        _senderExtension = [ext.roomExt yy_modelToJSONObject];
    }
    return self;
}

- (NIMMessageChatroomExtension *)yx_extension {
    NIMMessageChatroomExtension *ext = [[NIMMessageChatroomExtension alloc] init];
    ext.roomNickname = _nick;
    ext.roomAvatar = _avatar;
    ext.roomExt = [_senderExtension yy_modelToJSONString];
    return ext;
}

@end

@implementation NIMFCustomChatRoomMessageConfig

@end

@implementation NIMFChatroomMessage

- (instancetype)initWithYXMessage:(NIMMessage *)message {
    if (self = [super initWithYXMessage:message]) {
        [self setupChatroomMessage:message];
    }
    return self;
}


- (void)setupChatroomMessage:(NIMMessage *)message {
    _messageExtension = [[NIMFChatRoomMessageExtension alloc] initWithSdkChatroomExtension:message.messageExt];
    _roomMessageConfig = [[NIMFCustomChatRoomMessageConfig alloc] init];
    _roomMessageConfig.skipHistory = !message.setting.historyEnabled;
}

- (NIMMessage *)yx_message {
    NIMMessage *msg = [super yx_message];
    msg.messageExt = [_messageExtension yx_extension];
    msg.setting.historyEnabled = !_roomMessageConfig.skipHistory;
    return msg;
}

@end


