//
//  NIMFChatroomObserver.m
//  nim
//
//  Created by 张根宁 on 2020/6/17.
//

#import "NIMFChatroomObserver.h"
#import "NIMFChatroomMessage.h"
#import "NIMFReceiveChatroomMsgResponse.h"
#import "NIMFChatroomAPI.h"

@interface NIMFChatroomObserver ()<NIMChatroomManagerDelegate, NIMChatManagerDelegate>
@end
 
@implementation NIMFChatroomObserver

- (void)dealloc {
    [[NIMSDK sharedSDK].chatroomManager removeDelegate:self];
    [[NIMSDK sharedSDK].chatManager removeDelegate:self];
}

- (instancetype)init {
    if (self = [super init]) {
        [[NIMSDK sharedSDK].chatroomManager addDelegate:self];
        [[NIMSDK sharedSDK].chatManager addDelegate:self];
    }
    return self;
}


#pragma mark - <NIMChatroomManagerDelegatem>
- (void)chatroomBeKicked:(NIMChatroomBeKickedResult *)result {
    
}


- (void)chatroom:(NSString *)roomId connectionStateChanged:(NIMChatroomConnectionState)state {
    
}


- (void)chatroom:(NSString *)roomId autoLoginFailed:(NSError *)error {
    
}

#pragma mark - NIMChatManagerDelegate

- (void)willSendMessage:(NIMMessage *)message
{
    
}

- (void)uploadAttachmentSuccess:(NSString *)urlString
                     forMessage:(NIMMessage *)message
{
    
}

- (void)sendMessage:(NIMMessage *)message
           progress:(float)progress
{
    
}


- (void)sendMessage:(NIMMessage *)message
    didCompleteWithError:(nullable NSError *)error
{
    
}


- (void)onRecvMessages:(NSArray<NIMMessage *> *)messages
{
    NSMutableArray * f_messages = [NSMutableArray array];
    for (NIMMessage * message in messages)
    {
        if (message.session.sessionType == NIMSessionTypeChatroom) {
            NIMFChatroomMessage *msg = [[NIMFChatroomMessage alloc] initWithYXMessage:message];
            [f_messages addObject:msg];
        }
    }
    
    NIMFReceiveChatroomMsgResponse * response = [[NIMFReceiveChatroomMsgResponse alloc] init];
    response.messages = f_messages;
    [NIMFChatroomAPI onRecvMessages:response];
}

- (void)onRecvMessageReceipts:(NSArray<NIMMessageReceipt *> *)receipts
{
    
}

- (void)onRecvRevokeMessageNotification:(NIMRevokeMessageNotification *)notification
{
    
}


- (void)fetchMessageAttachment:(NIMMessage *)message
                      progress:(float)progress
{
    
}

- (void)fetchMessageAttachment:(NIMMessage *)message
          didCompleteWithError:(nullable NSError *)error
{
    
}

@end
