//
//  NIMFConfigRequestHandler.m
//  nim
//
//  Created by Netease on 2019/8/8.
//

#import "NIMFConfigHandler.h"
#import "NIMFConfigRequest.h"

@implementation NIMFConfigRequestHandler

+ (instancetype)sharedConfig {
    static id instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [[NIMFConfigRequestHandler alloc] init];
    });
    return instance;
}

- (void)handleMethodCall:(FlutterMethodCall *)call result:(FlutterResult)result{
    id ret = nil;
    if ([@"config" isEqualToString:call.method]) {
        NIMFConfigRequest * config = [NIMFConfigRequest modelWithDictionary:call.arguments];
        NSLog(@"NIMSDKConfig>>>>: [%@] sdkDir", config.options.sdkDir);
        // 默认传入path
        if(config.options.sdkDir != nil){
            [[NIMSDKConfig sharedConfig] setupSDKDir:config.options.sdkDir];
        }
        
        if (!config.isValid) {
            ret= @(NIMFInputParamError);
            result(ret);
            return;
        }
        
        NIMSDKOption *option = [NIMSDKOption optionWithAppKey:config.appKey];
        option.apnsCername = config.options.iosPush.apnsCername;
        option.pkCername = config.options.iosPush.pkCername;
        [[NIMSDK sharedSDK] registerWithOption:option];
    } else {
        ret = @(NIMFLocalMethodNotFound);
        NSLog(@"Error: call.method = %@", call.method);
    }
    result(ret);
}

//- (id)NIMF_LOCAL_METHOD(config):(NSDictionary *)arguments{
//    id ret = nil;
//    NIMFConfigRequest * config = [NIMFConfigRequest modelWithDictionary:arguments];
//    NSLog(@"NIMSDKConfig>>>>: [%@] sdkDir", config.options.sdkDir);
//    // 默认传入path
//    if(config.options.sdkDir != nil){
//        [[NIMSDKConfig sharedConfig] setupSDKDir:config.options.sdkDir];
//    }
//
//    if (!config.isValid) {
//        return @(NIMFInputParamError);
//    }
//
//    NIMSDKOption *option = [NIMSDKOption optionWithAppKey:config.appKey];
//    option.apnsCername = config.options.iosPush.apnsCername;
//    option.pkCername = config.options.iosPush.pkCername;
//    [[NIMSDK sharedSDK] registerWithOption:option];
    
    //测试环境
//    NIMServerSetting *serverSetting = [[NIMServerSetting alloc] init];
//    serverSetting.lbsAddress =@"https://imtest.netease.im/lbs/conf.jsp";
//    serverSetting.linkAddress = @"59.111.241.163:8000";
//    serverSetting.module =  @"e3afe7487e6ac9ba69654672672ceddc05d5b6d45850859f11004d30c63e3691afd55722bdd2c75232b2a3561776201f84def8e38c508870ca7692b4228b0478e104460d7800dee3b6c3d8f89746ed48ee94f268f42b9c911437083d3815624e50de3fec3c0ec8ab3e71d5bdce3f4291d20538893cacdc00da9d1390ee39440d";
//
//    [NIMSDK sharedSDK].serverSetting = serverSetting;
    
//    return ret;
//}

@end
