//
//  NIMFFriend.m
//  nim
//
//  Created by He on 2019/12/10.
//

#import "NIMFUser.h"

@interface NIMFUserInfo ()

@property (nullable,nonatomic,copy,readwrite) NSString *nickName;

@property (nullable,nonatomic,copy,readwrite) NSString *avatarUrl;

@property (nullable,nonatomic,copy,readwrite) NSString *thumbAvatarUrl;

@property (nullable,nonatomic,copy,readwrite) NSString *sign;

@property (nonatomic,assign,readwrite) NIMUserGender gender;

@property (nullable,nonatomic,copy,readwrite) NSString *email;

@property (nullable,nonatomic,copy,readwrite) NSString *birth;

@property (nullable,nonatomic,copy,readwrite) NSString *mobile;

@property (nullable,nonatomic,copy,readwrite) NSString *ext;

@end

@implementation NIMFUserInfo

+ (instancetype)userInfoWithNIMUserInfo:(NIMUserInfo *)userInfo
{
    if (!userInfo)
    {
        return nil;
    }
    
    NIMFUserInfo * fUserInfo = [[NIMFUserInfo alloc] init];
    fUserInfo.nickName = userInfo.nickName;
    fUserInfo.avatarUrl = userInfo.avatarUrl;
    fUserInfo.thumbAvatarUrl = userInfo.thumbAvatarUrl;
    fUserInfo.sign = userInfo.sign;
    fUserInfo.gender = userInfo.gender;
    fUserInfo.email = userInfo.email;
    fUserInfo.birth = userInfo.birth;
    fUserInfo.mobile = userInfo.mobile;
    fUserInfo.ext = userInfo.ext;
    return fUserInfo;
}

@end

@interface NIMFUser ()

@property (nullable,nonatomic,strong,readwrite) NIMFUserInfo *userInfo;

@property (nullable,nonatomic,copy,readwrite)   NSString  *serverExt;

@property (nonatomic,assign,readwrite) BOOL notifyForNewMsg;

@property (nonatomic,assign,readwrite) BOOL isInMyBlackList;

@end

@implementation NIMFUser

+ (instancetype)fuserWithUser:(NIMUser *)user
{
    if (!user)
    {
        return nil;
    }
    
    NIMFUser * friend = [[NIMFUser alloc] init];
    friend.userId = user.userId;
    friend.alias = user.alias;
    friend.serverExt = user.serverExt;
    friend.userInfo = [NIMFUserInfo userInfoWithNIMUserInfo:user.userInfo];
    friend.notifyForNewMsg = user.notifyForNewMsg;
    friend.isInMyBlackList = user.isInMyBlackList;
    return friend;
}

- (NIMUser *)nimUser
{
    // 只有部分可修改的属性
    NIMUser * user = [[NIMUser alloc] init];
    user.userId = self.userId;
    user.alias = self.alias;
    user.ext = self.ext;
    return user;
}

@end
