//
//  NIMFFriendObserver.m
//  nim
//
//  Created by He on 2019/12/10.
//

#import "NIMFUserObserver.h"
#import "NIMFFriendResponse.h"
#import "NIMFUser.h"
#import "NIMFUserFlutterAPI.h"

@interface NIMFUserObserver () <NIMUserManagerDelegate>
@end

@implementation NIMFUserObserver

- (void)dealloc
{
    [[NIMSDK sharedSDK].userManager removeDelegate:self];
}

- (instancetype)init
{
    self = [super init];
    if (self) {
        [[NIMSDK sharedSDK].userManager addDelegate:self];
    }
    return self;
}

#pragma mark - NIMUserManagerDelegate

- (void)onFriendChanged:(NIMUser *)user
{
    NIMFFriendResponse * response = [[NIMFFriendResponse alloc] init];
    response.target = [NIMFUser fuserWithUser:user];
    [NIMFFriendFlutterAPI onFriendChanged:response];
}

- (void)onBlackListChanged
{
    [NIMFFriendFlutterAPI onBlackListChanged];
}

- (void)onMuteListChanged
{
    [NIMFFriendFlutterAPI onMuteListChanged];
}

- (void)onUserInfoChanged:(NIMUser *)user
{
    NIMFFriendResponse * response = [[NIMFFriendResponse alloc] init];
    response.target = [NIMFUser fuserWithUser:user];
    [NIMFFriendFlutterAPI onFriendChanged:response];
}

@end
