//
//  NIMFLoginUntil.h
//  nim
//
//  Created by Netease on 2019/8/13.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM (NSInteger, NIMFLoginState){
    NIMFLoginStateUnlogin = 1,    //未登录/登录失败
    NIMFLoginStateForbidden = 2,  //被服务器拒绝连接，403，422
    NIMFLoginStateNetBroken = 3,  //网络连接已断开
    NIMFLoginStateConnecting = 4, //正在连接服务器
    NIMFLoginStateLogining = 5,   //正在登录中
    NIMFLoginStateLogined = 6,    //已成功登录
    NIMFLoginStateVerionError = 7,    //客户端版本错误
    NIMFLoginStatePasswordError = 8,  //用户名或密码错误
    NIMFLoginStateKickByClient = 9,   //被另外一个客户端踢下线
    NIMFLoginStateKickByClientManually = 10, //被另外一个客户端手动选择踢下线
};

typedef NS_ENUM (NSInteger, NIMFSyncState) {
    NIMFSyncStateBegin = 1,          //开始同步
    NIMFSyncStateCompletion = 2,     //同步完成
    NIMFSyncStateTeamCompletion = 3, //群组同步完成
    NIMFSyncStateSTeamCompletion = 4,//超大群同步完成
};

@interface NIMFLoginUntil : NSObject

+ (NIMFLoginState)stateWithLoginErrorCode:(NSInteger)errorCode;

@end

NS_ASSUME_NONNULL_END
