//
//  NIMFMessage.h
//  nim
//
//  Created by He on 2019/12/25.
//

#import "NIMFBaseModel.h"

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, NIMFMsgType) {
    NIMFMsgTypeUndef = -1,

    NIMFMsgTypeText = 0,

    NIMFMsgTypeImage = 1,

    NIMFMsgTypeAudio = 2,

    NIMFMsgTypeVideo = 3,

    NIMFMsgTypeLocation = 4,

    NIMFMsgTypeNotification = 5,

    NIMFMsgTypeFile = 6,

    NIMFMsgTypeAvchat = 7,

    NIMFMsgTypeVchat = 8, // hold

    NIMFMsgTypeTip = 10, //提醒类型消息

    NIMFMsgTypeRobot = 11, //机器人消息

    NIMFMsgTypeCustom = 100,
};

@interface NIMFMessage : NIMFBaseModel
@property (nonatomic,copy) NSString * uuid;

@property (nonatomic,copy) NSString * sessionId;

@property (nonatomic,assign) int sessionType;

@property (nonatomic,assign) NSInteger msgType;

@property (nonatomic,assign) int msgStatus;

@property (nonatomic,assign) int msgDirection;

@property (nonatomic,copy) NSString * content;

@property (nonatomic,assign) uint64_t time;

@property (nonatomic,copy) NSString * fromAccount;

@property (nonatomic,copy) NSString * attach;

@property (nonatomic,assign) int attachStatus;

//@property (nonatomic,copy) CustomMessageConfig config;

@property (nonatomic,copy) NSString * remoteExt;

@property (nonatomic,copy) NSString * localExt;

@property (nonatomic,copy) NSString * pushContent;

@property (nonatomic,copy) NSString * pushPayload;

//@property (nonatomic,strong) PushOptions pushOptions;

@property (nonatomic,assign) int64_t serverId;

//@property (nonatomic,strong) AntiOptions antiOptions;

@property (nonatomic,assign) BOOL msgAck;

@property (nonatomic,assign) BOOL hasSendAck;

@property (nonatomic,assign) BOOL ackCount;

@property (nonatomic,assign) BOOL unAckCount;

- (instancetype)initWithYXMessage:(NIMMessage *)message;

- (NIMMessage *)yx_message;

- (NIMSession *)yx_session;
- (NIMSession *)yx_chatroomSession;
@end

NS_ASSUME_NONNULL_END
