//
//  NIMFMessageObserver.m
//  nim
//
//  Created by He on 2019/12/25.
//

#import "NIMFMessageObserver.h"
#import "NIMFMessageFlutterAPI.h"
#import "NIMFMessageResponse.h"
#import "NIMFReceiveMessagesResponse.h"

@interface NIMFMessageObserver () <NIMChatManagerDelegate>

@end

@implementation NIMFMessageObserver

- (void)dealloc
{
    [[NIMSDK sharedSDK].chatManager removeDelegate:self];
}

- (instancetype)init
{
    self = [super init];
    if (self)
    {
        [[NIMSDK sharedSDK].chatManager addDelegate:self];
    }
    return self;
}


#pragma mark - NIMChatManagerDelegate

- (void)willSendMessage:(NIMMessage *)message
{
    
}

- (void)uploadAttachmentSuccess:(NSString *)urlString
                     forMessage:(NIMMessage *)message
{
    
}

- (void)sendMessage:(NIMMessage *)message
           progress:(float)progress
{
    
}


- (void)sendMessage:(NIMMessage *)message
    didCompleteWithError:(nullable NSError *)error
{
    
}


- (void)onRecvMessages:(NSArray<NIMMessage *> *)messages
{
    NSMutableArray * f_messages = [NSMutableArray array];
    for (NIMMessage * message in messages)
    {
        NIMFMessage * msg = [[NIMFMessage alloc] initWithYXMessage:message];
        if (msg)
        {
            [f_messages addObject:msg];
        }
    }
    
    NIMFReceiveMessagesResponse * response = [[NIMFReceiveMessagesResponse alloc] init];
    [response setSdkResponse:f_messages];
    [NIMFMessageFlutterAPI onRecvMessages:response];
}

- (void)onRecvMessageReceipts:(NSArray<NIMMessageReceipt *> *)receipts
{
    
}

- (void)onRecvRevokeMessageNotification:(NIMRevokeMessageNotification *)notification
{
    
}


- (void)fetchMessageAttachment:(NIMMessage *)message
                      progress:(float)progress
{
    
}

- (void)fetchMessageAttachment:(NIMMessage *)message
          didCompleteWithError:(nullable NSError *)error
{
    
}

@end
