//
//  NIMFPassThroughHandler.m
//  nim
//
//  Created by Netease on 2019/12/25.
//

#import "NIMFPassThroughHandler.h"
#import "NIMFPassThroughObserver.h"
#import "NIMFPassThroughFlutterAPI.h"
#import "NIMFPassThroughRequest.h"
#import "NIMFPassThroughResponse.h"

@implementation NIMFPassThroughHandler

- (instancetype)init {
    if (self = [super init]) {
        self.observer = [[NIMFPassThroughObserver alloc] init];
    }
    return self;
}

- (id)NIMF_LOCAL_METHOD(httpProxy):(NSDictionary *)arguments {
    NIMFPassThroughRequest *req = [NIMFPassThroughRequest modelWithDictionary:arguments];
    if (!req.isValid) {
        return @(NIMFInputParamError);
    }
    
    NIMPassThroughHttpData *reqData = [[NIMPassThroughHttpData alloc] init];
    reqData.zone = req.zone;
    reqData.path = req.path;
    reqData.method = req.method;
    reqData.header = req.header;
    reqData.body = req.body;
    
    [[NIMSDK sharedSDK].passThroughManager passThroughHttpReq:reqData completion:^(NIMPassThroughHttpData * _Nullable response, NSError * _Nullable error) {
        NSLog(@"[iOS] passThroughHttpReq, error:%@", error);
        
        NIMFPassThroughResponse *resp = [[NIMFPassThroughResponse alloc] initWithRequestModel:req];
        if (error) {
            resp.code = error.code;
        }
        else {
            resp.zone = response.zone;
            resp.path = response.path;
            resp.method = response.method;
            resp.header = response.header;
            resp.body = response.body;
        }
        
        [NIMFPassThroughFlutterAPI onPassThroughProxy:resp];
    }];
    
    return nil;
}

@end
