//
//  NIMFPassThroughObserver.m
//  nim
//
//  Created by Netease on 2019/12/25.
//

#import "NIMFPassThroughObserver.h"
#import "NIMFPassThroughFlutterAPI.h"
#import "NIMFPassThroughRecvMsg.h"

@interface NIMFPassThroughObserver ()<NIMPassThroughManagerDelegate>

@end

@implementation NIMFPassThroughObserver

- (instancetype)init {
    if (self = [super init]) {
        NSLog(@"[iOS] passThroughManager addDelegate");
        [[NIMSDK sharedSDK].passThroughManager addDelegate:self];
    }
    return self;
}

- (void)dealloc {
    NSLog(@"[iOS] passThroughManager removeDelegate");
    [[NIMSDK sharedSDK].passThroughManager removeDelegate:self];
}

// NIMPassThroughManagerDelegate -- 收到透传消息
- (void)didReceivedPassThroughMsg:(NIMPassThroughMsgData* __nullable)recvData
{
    NSLog(@"[iOS] didReceivedPassThroughMsg, recvData:%@", recvData);
    
    if (!recvData) {
        return;
    }
    
    NIMFPassThroughRecvMsg *msg = [[NIMFPassThroughRecvMsg alloc] init];
    msg.fromAccid = recvData.fromAccid;
    msg.body = recvData.body;
    msg.time = recvData.time;
    
    [NIMFPassThroughFlutterAPI onRecvPassThroughMsg:msg];
}

@end
