//
//  NIMFSignalEvent.h
//  nim
//
//  Created by Netease on 2019/9/25.
//

#import "NIMFBaseModel.h"
#import "NIMFChannelInfo.h"
#import "NIMFChannelFullInfo.h"
#import "NIMFMemberInfo.h"
#import "NIMFSignalPushInfo.h"

NS_ASSUME_NONNULL_BEGIN

@interface NIMFSignalEvent : NIMFBaseResponse

@property (nonatomic, strong) NIMFChannelInfo *baseInfo;

@property (nonatomic, copy) NSString *fromAccountId;

@property (nonatomic, copy) NSString *customInfo;

@property (nonatomic, assign) NSInteger type;

@property (nonatomic, assign) uint64_t time;

@end


#pragma mark - Join Event
@interface NIMFSignalJoinEvent : NIMFSignalEvent

@property (nonatomic, strong) NIMFMemberInfo *memberInfo;

@end

#pragma mark - InviteEvent
@interface NIMFSignalInviteEvent : NIMFSignalEvent

@property (nonatomic, copy) NSString *toAccountId;

@property (nonatomic, copy) NSString *requestId;

@property (nonatomic, strong) NIMFSignalPushInfo *pushConfig;

@end


#pragma mark - Canceled Invite Event
@interface NIMFSignalCanceledInviteEvent : NIMFSignalEvent

@property (nonatomic, copy) NSString *toAccountId;

@property (nonatomic, copy) NSString *requestId;

@end

#pragma mark - Invite Ack Event
@interface NIMFSignalInviteAckEvent : NIMFSignalEvent

@property (nonatomic, copy) NSString *toAccountId;

@property (nonatomic, copy) NSString *requestId;

@property (nonatomic, assign) NSInteger status;

@end

#pragma mark - Offline Event
@interface NIMFSignalOfflineEvent : NIMFBaseResponse

@property (nonatomic, strong) NSMutableArray <NIMFSignalEvent *> *events;

@end

#pragma mark - Sync Event
@interface NIMFSignalSyncEvent : NIMFBaseResponse

@property (nonatomic, strong) NSMutableArray <NIMFChannelFullInfoResponse *> *events;

@end


NS_ASSUME_NONNULL_END
