//
//  NIMFSignalEvent.m
//  nim
//
//  Created by Netease on 2019/9/25.
//

#import "NIMFSignalEvent.h"

@implementation NIMFSignalEvent

- (void)setSdkResponse:(NIMSignalingNotifyInfo *)response {
    _baseInfo = [[NIMFChannelInfo alloc] init];
    [_baseInfo setSdkResponse:response.channelInfo];
    _fromAccountId = response.fromAccountId;
    _customInfo = response.customInfo;
    _type = response.eventType;
    _time = response.time;
}

@end

#pragma mark - Join Event
@implementation NIMFSignalJoinEvent


- (void)setSdkResponse:(NIMSignalingJoinNotifyInfo *)response {
    [super setSdkResponse:response];
    _memberInfo = [[NIMFMemberInfo alloc] init];
    [_memberInfo setSdkResponse:response.member];
}
@end

#pragma mark - Invite Event
@implementation NIMFSignalInviteEvent

- (void)setSdkResponse:(NIMSignalingInviteNotifyInfo *)response {
    [super setSdkResponse:response];
    _toAccountId = response.toAccountId;
    _requestId = response.requestId;
    _pushConfig = [[NIMFSignalPushInfo alloc] init];
    [_pushConfig setSdkResponse:response.push];
}

@end


#pragma mark - Canceled Invite Event
@implementation NIMFSignalCanceledInviteEvent

- (void)setSdkResponse:(NIMSignalingInviteNotifyInfo *)response {
    [super setSdkResponse:response];
    _toAccountId = response.toAccountId;
    _requestId = response.requestId;
}

@end

#pragma mark - Invite Ack Event
@implementation NIMFSignalInviteAckEvent


- (void)setSdkResponse:(id)response {
    [super setSdkResponse:response];
    if ([response isKindOfClass:[NIMSignalingAcceptNotifyInfo class]]) {
        NIMSignalingAcceptNotifyInfo *info = (NIMSignalingAcceptNotifyInfo *)response;
        _toAccountId = info.toAccountId;
        _requestId = info.requestId;
        _status = 2;
    } else if ([response isKindOfClass:[NIMSignalingRejectNotifyInfo class]]) {
        NIMSignalingRejectNotifyInfo *info = (NIMSignalingRejectNotifyInfo *)response;
        _toAccountId = info.toAccountId;
        _requestId = info.requestId;
        _status = 1;
    } else {
        _status = 0;
    }
}

@end

#pragma mark - Offline Ack Event
@implementation NIMFSignalOfflineEvent

- (void)setSdkResponse:(NSArray <NIMSignalingNotifyInfo *> *)response {
    _events = [NSMutableArray array];
    for (NIMSignalingNotifyInfo *info in response) {
        NIMFSignalEvent *event = [[NIMFSignalEvent alloc] init];
        [event setSdkResponse:info];
        [_events addObject:event];
    }
}

@end


#pragma mark - Sync Event
@implementation NIMFSignalSyncEvent


- (void)setSdkResponse:(NSArray <NIMSignalingChannelDetailedInfo *> *)response {
    _events = [NSMutableArray array];
    for (NIMSignalingChannelDetailedInfo *info in response) {
        NIMFChannelFullInfo *event = [[NIMFChannelFullInfo alloc] init];
        [event setSdkResponse:info];
        [_events addObject:event];
    }
}

@end
