// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

library nim;

import 'dart:async';
import 'dart:convert';
import 'dart:io';

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

import 'package:flutter/services.dart';

part 'package:nim/src/error_code.dart';

part 'package:nim/src/nim_plugin.dart';

part 'package:nim/src/base/nim_base.dart';

part 'package:nim/src/base/nim_base_observer.dart';

part 'package:nim/src/base/nim_base_service.dart';

part 'package:nim/src/auth/nim_auth_model.dart';

part 'package:nim/src/auth/nim_auth_service.dart';

part 'package:nim/src/auth/nim_auth_observer.dart';

part 'package:nim/src/signalling/nim_signalling_model.dart';

part 'package:nim/src/signalling/nim_signalling_service.dart';

part 'package:nim/src/signalling/nim_signalling_observer.dart';

part 'package:nim/src/msg/nim_message_builder.dart';

part 'package:nim/src/msg/nim_msg_attachment.dart';

part 'package:nim/src/msg/nim_msg_model.dart';

part 'package:nim/src/msg/nim_msg_service.dart';

part 'package:nim/src/msg/nim_msg_observer.dart';

part 'package:nim/src/team/nim_team_model.dart';

part 'package:nim/src/team/nim_team_service.dart';

part 'package:nim/src/team/nim_team_observer.dart';

part 'package:nim/src/super_team/nim_super_team_model.dart';

part 'package:nim/src/super_team/nim_super_team_service.dart';

part 'package:nim/src/super_team/nim_super_team_observer.dart';

part 'package:nim/src/chatroom/nim_chatroom_model.dart';

part 'package:nim/src/chatroom/nim_chatroom_service.dart';

part 'package:nim/src/chatroom/nim_chatroom_observer.dart';

part 'package:nim/src/chatroom/nim_chatroom_message_builder.dart';

part 'package:nim/src/friend/nim_friend_model.dart';

part 'package:nim/src/friend/nim_friend_service.dart';

part 'package:nim/src/friend/nim_friend_observer.dart';

part 'package:nim/src/push/nim_push_model.dart';

part 'package:nim/src/push/nim_push_service.dart';

part 'package:nim/src/push/nim_push_observer.dart';

part 'package:nim/src/session/nim_session_model.dart';

part 'package:nim/src/session/nim_session_service.dart';

part 'package:nim/src/session/nim_session_observer.dart';

part 'package:nim/src/subscribe/nim_subscribe_model.dart';

part 'package:nim/src/subscribe/nim_subscribe_service.dart';

part 'package:nim/src/subscribe/nim_subscribe_observer.dart';

part 'package:nim/src/system/nim_system_model.dart';

part 'package:nim/src/system/nim_system_service.dart';

part 'package:nim/src/system/nim_system_observer.dart';

part 'package:nim/src/passthrough/nim_passthrough_model.dart';

part 'package:nim/src/passthrough/nim_passthrough_service.dart';

part 'package:nim/src/passthrough/nim_passthrough_observer.dart';

part 'package:nim/src/resource/nim_resource_model.dart';

part 'package:nim/src/resource/nim_resource_service.dart';

part 'package:nim/src/resource/nim_resource_observer.dart';

part 'package:nim/src/rts/nim_rts_model.dart';

part 'package:nim/src/rts/nim_rts_service.dart';

part 'package:nim/src/rts/nim_rts_observer.dart';

part 'package:nim/src/msg/attach/file_attachment.dart';
part 'package:nim/src/msg/attach/image_attachment.dart';
part 'package:nim/src/msg/attach/attachment_factory.dart';
part 'package:nim/src/constants/nos_scene_key_constant.dart';
