// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class ChatRoomObserver extends Observable {
  ChatRoomObserver(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return "ChatRoomObserver";
  }

  static List<Observer<List<ChatRoomMessage>?>> receiveObserver = <Observer<List<ChatRoomMessage>?>>[];

  /// 注册 消息接受观察者
  void registerReceiveMessage(Observer<List<ChatRoomMessage>> observer) {
    _registerObserver(observer, receiveObserver);
  }

  ///注销 消息接受观察者
  void unregisterReceiveMessage(Observer<List<ChatRoomMessage>> observer) {
    _unregisterObserver(observer, receiveObserver);
  }

  @override
  Future? _handlerMethod(String method, Map<dynamic, dynamic>? map) {
    switch (method) {
      case 'onReceiveMessage':
        List? messages = map!['messages'];
        List<ChatRoomMessage>? list =
            messages != null ? messages.map<ChatRoomMessage>((i) => ChatRoomMessage._fromMap(i)).toList() : null;
        _notifyObserver(receiveObserver, list);
        break;
      default:
        return null;
    }
    return null;
  }
}
