// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class AttachFactory {
  static AttachFactory? instance;

  factory AttachFactory() => instance ??= AttachFactory._();

  AttachFactory._();

  MsgAttachment? parseAttach(int? msgType, String? attach) {
    if (attach == null || attach.isEmpty) {
      return null;
    }
    MsgAttachment? attachment;
    switch (msgType) {
      case MsgType.image:
        attachment = ImageAttachment();
        break;
      case MsgType.file:
        attachment = FileAttachment();
        break;
    }
    if (attachment != null) {
      attachment.fromJson(json.decode(attach));
    }
    return attachment;
  }
}
