// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class FileAttachment extends MsgAttachment {
  /// 文件路径
  String? path;

  /// 文件大小
  int? size;

  /// 文件内容md5
  String? md5;

  /// 文件下载地址
  String? url;

  /// 文件显示名
  String? displayName;

  /// 文件后缀名
  String? extension;

  /// 过期时间（仅对文件类型有效）
  int? expire;

  /// 上传文件时用的对token对应的场景，默认{@link NimNosSceneKeyConstant#NIM_DEFAULT_IM}
  String? nosTokenSceneKey;

  /// 如果服务器存在相同的附件文件，是否强制重新上传 ， 默认false
  bool? forceUpload;

  @override
  String toJson() {
    return json.encode(_toJson());
  }

  Map _toJson() =>
      {
        'path': path,
        'name': displayName,
        'size': size,
        'md5': md5,
        'url': url,
        'ext': extension,
        'sen': nosTokenSceneKey,
        'expire': expire,
        'force_upload': forceUpload,
        ...append(),
      };

  /// 追加各个自有的数据
  Map append() => {};

  @override
  @mustCallSuper
  void fromJson(Map<dynamic, dynamic>? map) {
    path = map!['path'];
    displayName = map['name'];
    size = map['size'];
    md5 = map['md5'];
    url = map['url'];
    extension = map['ext'];
    nosTokenSceneKey = map['sen'];
    expire = map['expire'];
    forceUpload = map['force_upload'];
  }
}
