// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class MessageBuilder {

  /// create IMMessage object with sessionId and sessionType
  static IMMessage _initSendMessage(String toId, int sessionType) {
    IMMessage message = IMMessage();
    message.sessionId = toId;
    message.sessionType = sessionType;
    return message;
  }

  /// create IMMessage object with sessionId,sessionType and MsgAttachment
  static IMMessage createCustomMessage(String sessionId, int sessionType, MsgAttachment attachment) {
    IMMessage message = _initSendMessage(sessionId, sessionType);
    message.msgType = MsgType.custom;
    message.attach = attachment.toJson();
    return message;
  }

}