// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class MsgService extends Service {
  MsgService(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return "MsgService";
  }

  /// async send message
  Future<void> sendMessage({required IMMessage message, bool resend = false, required Callback callback}) async {
    Map map = buildArguments(callback: callback);
    map['message'] = message._toMap();
    map['resend'] = resend;
    return await _methodChannel.invokeMethod('sendMessage', map);
  }

  @override
  Future? _handlerMethod(String method, int code, Map arg, dynamic callback) {
    switch (method) {
      case 'onSendMessage':
        callback(code, null);
        break;

      default:
        callback(code, null);
    }
    return null;
  }
}
