// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class PassthroughProxyData {
  String? zone;

  final String? path;

  int? method;

  String? header;

  String? body;

  PassthroughProxyData({this.zone, required this.path, this.method, this.header, this.body});

  static PassthroughProxyData? _fromMap(Map? map) {
    if (map == null) {
      return null;
    }
    return PassthroughProxyData(
        zone: map['zone'],
        path: map['path'],
        method: map['method'],
        header: map['header'],
        body: map['body']);
  }

  Map<String, dynamic> _toMap() => {'zone': zone, 'path': path, 'method': method, 'header': header, 'body': body};
}

class PassthroughNotifyData {
  String? fromAccid;

  String? body;

  int? time;

  PassthroughNotifyData({this.fromAccid, this.body, this.time});

  static PassthroughNotifyData? _fromMap(Map? map){
    if(map==null){
      return null;
    }
    return PassthroughNotifyData(fromAccid: map['fromAccid'], body: map['body'], time: map['time']);
  }

  Map<String, dynamic> _toMap() =>{'fromAccid':fromAccid, 'body':body, 'time':time};
}
