// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class PassthroughObserver extends Observable {
  PassthroughObserver(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return "PassthroughObserver";
  }

  static List<Observer<PassthroughNotifyData>> notifyData = <Observer<PassthroughNotifyData>>[];

  void registerNotifyData(Observer<PassthroughNotifyData> observer) {
    _registerObserver(observer, notifyData);
  }

  void unregisterNotifyData(Observer<PassthroughNotifyData> observer) {
    _unregisterObserver(observer, notifyData);
  }

  @override
  Future? _handlerMethod(String method, Map? map) {
    switch (method) {
      case 'onPassthroughNotify':
        PassthroughNotifyData? data = PassthroughNotifyData._fromMap(map);
        if (data != null) {
          _notifyObserver(notifyData, data);
        }
        break;
      default:
        return null;
    }
    return null;
  }
}
