// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class PassthroughService extends Service {
  PassthroughService(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return "PassthroughService";
  }

  ///send http request
  Future<void> httpProxy(PassthroughProxyData data, Callback<PassthroughProxyData> callback) async {
    Map map = buildArguments(arg: data._toMap(), callback: callback);
    return await _methodChannel.invokeMethod("httpProxy", map);
  }

  @override
  Future? _handlerMethod(String method, int code, Map arg, dynamic callback) {
    switch (method) {
      case "onHttpProxy":
        PassthroughProxyData? data = PassthroughProxyData._fromMap(arg);
        callback(code, data);
        break;
    }
    return null;
  }
}
