// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class ResourceObserver extends Observable {
  ResourceObserver(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return 'ResourceObserver';
  }

  static List<Observer<NosTransferInfo>> transferStatus = <Observer<NosTransferInfo>>[];

  static List<Observer<NosTransferProgress>> progressStatus = <Observer<NosTransferProgress>>[];

  @override
  Future<dynamic>? _handlerMethod(String method, Map? arg) {
    switch (method) {
      case "observeNosTransferStatus":
        NosTransferInfo data = NosTransferInfo._fromMap(arg!);
        _notifyObserver(transferStatus, data);
        break;
      case "observeNosTransferProgress":
        NosTransferProgress data = NosTransferProgress._fromMap(arg!);
        _notifyObserver(progressStatus, data);
        break;
    }
    return null;
  }
}
