// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class RTSObserver extends Observable {
  RTSObserver(MethodChannel methodChannel, handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return "RTSObserver";
  }

  static List<Observer<RTSEvent?>> rtsEvent = <Observer<RTSEvent?>>[];

  /// 注册 在线通知事件观察者
  void registerRtsEvent(Observer<RTSEvent> observer) {
    _registerObserver(observer, rtsEvent);
  }

  /// 注册 在线通知事件观察者
  void unregisterRtsEvent(Observer<RTSEvent> observer) {
    _unregisterObserver(observer, rtsEvent);
  }

  @override
  Future? _handlerMethod(String method, Map<dynamic, dynamic>? arg) {
    switch (method) {
      case "observeEvent":
        RTSEvent? event = RTSEvent._fromMap(arg);
        _notifyObserver(rtsEvent, event);
        break;
    }
    return null;
  }
}
