// Copyright (c) 2021 NetEase, Inc.  All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of nim;

class RTSService extends Service {

  RTSService(MethodChannel methodChannel, Map<String, Handler> handlerMap) : super(methodChannel, handlerMap);

  @override
  String _getModule() {
    return 'RTSService';
  }

  ///
  ///通过频道名创建房间<br/>
  ///
  Future<void> createSession2({
    required String channelName,
    String? extraMessage,
    required Callback<ChannelBaseInfo> callback}) async {
    Map map = buildArguments(callback: callback);
    map['channelName'] = channelName;
    map['extraMessage'] = extraMessage;
    return await _methodChannel.invokeMethod('createSession2', map);
  }

  ///
  ///通过频道名加入已经创建好的频道<br/>
  ///
  Future<void> joinSession2({
    required String channelName,
    required Callback<ChannelBaseInfo> callback}) async {
    Map map = buildArguments(callback: callback);
    map['channelName'] = channelName;
    return await _methodChannel.invokeMethod('joinSession2', map);
  }


  @override
  Future? _handlerMethod(String method, int code, Map<dynamic, dynamic> arg, callback) {
    switch (method) {
      case 'createSession2':
        callback(code, null);
        break;
      case 'joinSession2':
        callback(code, RTSDataImpl._fromMap(arg['rtsData']));
        break;
    }
    return null;
  }

}